
package org.objectweb.jonas.jtests.beans.relation.tier;

/**
 * Value object for TIEMOR.
 */

public class TiemorValue extends java.lang.Object implements java.io.Serializable {

    // define attributes
    // define column 'numinttie' and update flag
    private java.lang.Integer numinttie;

    private boolean numinttieHasBeenSet = false;

    // define column 'raisoctie' and update flag
    private java.lang.String raisoctie;

    private boolean raisoctieHasBeenSet = false;

    // define primary key
    private java.lang.Integer __pk;

    // public constructor
    public TiemorValue() {
    }

    // copy constructor ..
    // TODO Cloneable is better than this !
    public TiemorValue(TiemorValue otherValue) {
        this.numinttie = otherValue.numinttie;
        numinttieHasBeenSet = true;

        this.raisoctie = otherValue.raisoctie;
        raisoctieHasBeenSet = true;

        //TODO ? correct ?
        // pk = otherValue.getPrimaryKey();
    }

    /*
     * ALL FIELDS EXCEPT PRIMARY KEY
     */

    // getter-setter for raisoctie
    public java.lang.String getRaisoctie() {
        return this.raisoctie;
    }

    public void setRaisoctie(java.lang.String raisoctie) {
        this.raisoctie = raisoctie;
        this.raisoctieHasBeenSet = true;
    }

    public boolean raisoctieHasBeenSet() {
        return raisoctieHasBeenSet;
    }

    /*
     * PRIMARY KEY(s)
     */
    public java.lang.Integer getPrimaryKey() {
        return __pk;
    }

    public java.lang.Integer getNuminttie() {
        return this.numinttie;
    }

    public void setNuminttie(java.lang.Integer numinttie) {
        this.numinttie = numinttie;
        __pk = numinttie;
        numinttieHasBeenSet = true;

    }

    public void setPrimaryKey(java.lang.Integer numinttie) {
        setNuminttie(numinttie);
    }

    protected boolean numinttieHasBeenSet() {
        return numinttieHasBeenSet;
    }

    /*
     * Exposes getMethod of type getXXXXValue(), for each related table.
     */
    public java.lang.Integer getTierPK() {
        return getNuminttie();
    }

    /*
     * Generated toString() method, includes all fields and inherited fields
     * from superclass toString
     */
    public String toString() {

        StringBuffer str = new StringBuffer("{");

        str.append("{[Tiemor], ");

        str.append("numinttie" + getNuminttie() + ", "); // table isSimplePk ?
                                                         // true column isPk ?
                                                         // true
        str.append("raisoctie" + getRaisoctie() + ", "); // table isSimplePk ?
                                                         // true column isPk ?
                                                         // false

        str.append("{[Tiemor]");
        return (str.toString());
    }

    /*
     * ToXML builds an XML String of fields and inherited fields
     */
    public String toXML() {

        StringBuffer str = new StringBuffer("{");
        str.append("<docTiemor>");
        str.append("<numinttie>" + getNuminttie() + "</numinttie>");
        str.append("<raisoctie>" + getRaisoctie() + "</raisoctie>");

        str.append("</docTiemor>");
        return (str.toString());
    }

    public boolean hasIdentity() {
        return numinttieHasBeenSet();
    }

    public void validateData() throws Exception {
        // mandatory columns
        if (numinttie == null) throw new Exception("the field : 'numinttie' must not be null !");
        if (raisoctie == null) throw new Exception("the field : 'raisoctie' must not be null !");
    }
}